### Method

# Ide Object ref_context

#### Declaration

    IdeContext*
    ide_object_ref_context (
      IdeObject* self
    )

#### Description

Gets the root `IdeContext` for the object, if any.

Available since: | 3.32

#### Return value

Returns: | `IdeContext`
| An `IdeContext` or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.